import request from '@/utils/request'

// 查询第三方API秘钥对列表
export function listAccess(query) {
  return request({
    url: '/ss/access/list',
    method: 'get',
    params: query
  })
}

// 查询第三方API秘钥对详细
export function getAccess(accessId) {
  return request({
    url: '/ss/access/' + accessId,
    method: 'get'
  })
}

// 新增第三方API秘钥对
export function addAccess(data) {
  return request({
    url: '/ss/access',
    method: 'post',
    data: data
  })
}

// 修改第三方API秘钥对
export function updateAccess(data) {
  return request({
    url: '/ss/access',
    method: 'put',
    data: data
  })
}

// 删除第三方API秘钥对
export function delAccess(accessId) {
  return request({
    url: '/ss/access/' + accessId,
    method: 'delete'
  })
}
